[Tecnica] Salome

Paolo Sammicheli xdatap1 a siena.linux.it
Gio 9 Nov 2006 11:09:25 GMT


Alle 00:49, giovedý 9 novembre 2006, Giulio Saletti ha scritto:
> Esatto Paolo...
>
> seguendo questo indirizzo - http://www.salome-platform.org/download/ -
> arriviamo ad un tabella (nella parte bassa della pagina) che indica i
> pacchetti necessari all'installazione di questo programma di modellazione
> 3D open source... ma non sto arrivando a niente...
>
> Ho eseguito il download della versione per Debian Sarge 

e perche? Ti ho postato un link che spiega come installare sto coso su Edgy e 
te fai come ti pare? Nel link c'e' scritto di prendere il pacchetto dei 
sorgenti, evidentemente il pacchetto per Sarge non ci funziona, no?

Segui passo passo queste istruzioni:

http://home.comcast.net/~marc.britten/salome-install.html

> (se ho ben capito Ŕ 
> Debian la radice di Ubuntu) ma l'unica cosa che sono riuscito a fare Ŕ far
> partire l'installazione in modalitÓ GUI, dopodichŔ l'installer mi avverte
> che non ho il gcc3.5.5 nativo... 

nel sito dice gcc-3.3.5

Cercando in Edgy lo si trova:

$ apt-cache search gcc-3.
gcc-3.3 - The GNU C compiler
gcc-3.3-base - The GNU Compiler Collection (base package)
gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
gcc-3.4 - The GNU C compiler
gcc-3.4-base - The GNU Compiler Collection (base package)
gcc-3.4-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
<SNIP>

> ho capito che Ŕ il compilatore di Python, 

No, Ú il compilatore C.

> ma non riesco ad installare la versione 3.5.5 e se installo la versione 4
> del gcc con Adept non sembra riconoscerla...
>
> Potreste darmi una mano a capirci qualcosa?
> Perlomeno di cosa stiamo parlando...

Io ho dato una lettura a quella pagina, mi sembra tosto da installare se non 
segui passo passo le indicazioni e fai le cose con cognizione. Btw, 
considerando le condizioni in cui riversa a livello di dipendenze e da quello 
che leggo qui:

http://groups.google.it/group/it.comp.os.linux.software/browse_thread/thread/81becb8aaa157791/cb8e70bf7e26281b?hl=it

Ú piu' una versione di sviluppo che un software stabile. Tanto Ú vero che i 
pacchetti per le distribuzioni contengono gia' le dipendenze:

* Debian Sarge 3.1 (487 Mb)
* SALOME sources version 3.2.2 (69 Mb)

Nel it.comp.os.linux.software parlano di una live che incluso ha questo 
trabiccolo. Magari io la proverei per vedere se il software fa al caso tuo 
prima di caricarti mezzo giga di dipendenze per un programma che poi magari 
non ti serve.

Ciao
-- 
Paolo Sammicheli  
Email: xdatap1(at)siena.linux.it
Slug - Siena Linux User Group | http://www.siena.linux.it
- Non ho paura dei computer, ho paura della loro mancanza. (I. Asimov) -


Maggiori informazioni sulla lista Tecnica